MCP OAuth

The Influtics MCP server supports OAuth 2.0 authorization for Claude Code and other MCP clients.

Flow Overview

The OAuth flow allows MCP clients (like Claude Code) to access Influtics tools on behalf of a user's organization.

Step 1: Authorization Request

The MCP client redirects to https://mcp.influtics.com/authorize which redirects the user to the Influtics app for login and organization selection.

Step 2: Organization Selection

The user logs into their Influtics account and selects which organization the MCP client should access.

Step 3: Callback

After selection, the user is redirected back to the MCP server which completes the OAuth flow and issues an access token.

Token Format

Access tokens are HS256 JWTs with a 1-hour expiration containing:

  • org_id — The selected organization ID
  • client_id — The OAuth client ID
  • scope — Always mcp:tools

Alternative: API Key

For non-interactive use, you can also authenticate with an Influtics API key via the Authorization: Bearer <api_key> header.